#
# Configuration items.
#
# If WIN32, either define the environment variable CPU or WIN32 within this makefile
#

!if $d(CPU) | $d(WIN32)   # if either one is defined
WIN32=1
PLATFORM=WIN32
x32=32
!else
PLATFORM=WIN16
!endif

PROJ=wordcnt

# Edit the following line to reflect the location of Codewright
CWPATH=..
DLLDIR=$(PLATFORM)
OBJDIR=$(PLATFORM)
DEF=$(OBJDIR)\$(PROJ).def
RES=$(OBJDIR)\$(PROJ).res
CFG=$(OBJDIR)\$(PROJ).cfg
CWSTART=$(CWPATH)\cwstart\cwstart.h
EXPORTS=$(CWPATH)\include\exports.h

.AUTODEPEND

#		*Translator Definitions*
# Edit the following line to reflect the location of Borland C++
BORPATH=D:\BC45
!ifdef WIN32
CC=bcc32 +$(CFG) 
RC=brcc32 -w32 
RLINK=rlink32
TLINK=tlink32
!else
CC=bcc +$(CFG) 
RC=brcc  
RLINK=rlink
TLINK=tlink
!endif
# Include Borland versions of Import Libraries (run IMPLIB)
LIBPATH = $(BORPATH)\LIB;$(CWPATH)\LIB\$(PLATFORM)
INCLUDEPATH = $(BORPATH)\INCLUDE;$(CWPATH)\INCLUDE;$(CWPATH)\CWSTART


#		*Implicit Rules*
.c.obj:
  $(CC) -w- -o$@ -c $< 

.cpp.obj:
  $(CC) -w- -o$@ -c $< 

#		*List Macros*


EXE_dependencies = \
 $(OBJDIR)\$(PROJ).obj \
 $(CFG) \
 $(DEF) \
 $(RES) 

#		*Explicit Rules*
$(DLLDIR)\$(PROJ).dll: $(EXE_dependencies)
!ifdef WIN32
  $(TLINK)  /Tpdv /L$(LIBPATH) @&&|
c0d32.obj+
$(OBJDIR)\$(PROJ).obj
$(DLLDIR)\$(PROJ).dll,
# no map file
cwdll32.lib+
cwstart.lib+
import32.lib+
cw32.lib
$(DEF)
$(RES)
|

!else
  $(TLINK) /v/x/P-/Twd/L$(LIBPATH) @&&|
c0dl.obj+
$(OBJDIR)\$(PROJ).obj
$(DLLDIR)\$(PROJ).dll
		# no map file
cwright.lib+
cwstart.lib+
mathwl.lib+
import.lib+
cwl.lib
$(DEF)
$(RES)
|

!endif
#  $(RLINK) $(RES) $(DLLDIR)\$(PROJ).dll

#		*Individual File Dependencies*
$(RES): $(CFG) $(PROJ).rc $(EXPORTS)
  $(RC) -R -I$(INCLUDEPATH) -FO $(RES) $(PROJ).rc

$(OBJDIR)\$(PROJ).obj: $(CFG) $(PROJ).c $(EXPORTS) $(CWSTART) 

#		*Compiler Configuration File*
$(CFG): $(PROJ).mak
!ifdef WIN32
  copy &&|
-4
-v
-vi
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
| $(CFG)

!else
  copy &&|
-R
-ml!
-2
-v
-WD
-vi-
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
| $(CFG)
!endif

